LibreOffice: XStatusIndicator Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XStatusIndicator Interface Referencepublished

controls a status indicator which displays progress of longer actions to the user More...

Inheritance diagram for XStatusIndicator:

## Public Member Functions
void | start ([in] string Text, [in] long Range)
| initialize and start the progress
void | end ()
| stop the progress
void | setText ([in] string Text)
| update progress description
void | setValue ([in] long Value)
| update progress value
void | reset ()
| clear progress value and description
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

controls a status indicator which displays progress of longer actions to the user

Such objects are provided by a XStatusIndicatorFactory.

See also
  XStatusIndicatorFactory

## Member Function Documentation

## ◆ end()

void end | ( |  | ) |

stop the progress

Further calls of XStatusIndicator::setText(), XStatusIndicator::setValue() or XStatusIndicator::reset() must be ignored. Only XStatusIndicator::start() can reactivate this indicator. It's not allowed to destruct the indicator inside this method. The instance must be gone by using ref count or disposing.

## ◆ reset()

void reset | ( |  | ) |

clear progress value and description

Calling of setValue(0) and setText("") should do the same. Stopped indicators must ignore this call.

## ◆ setText()

void setText | ( | [in] string | Text | ) |

update progress description

Initial value can be set during starting of the progress by calling XStatusIndicator::start(). Stopped indicators must ignore this call.

Parameters

  Text | new value for progress description which should be shown now

## ◆ setValue()

void setValue | ( | [in] long | Value | ) |

update progress value

Wrong values must be ignored and stopped indicators must ignore this call generally.

Parameters

  Value | new value for progress which should be shown now Must fit the range [0..Range] which was set during XStatusIndicator::start().

## ◆ start()

void start | ( | [in] string | Text,
|  | [in] long | Range
| ) |  |

initialize and start the progress

It activates a new created or reactivate an already used indicator (must be finished by calling XStatusIndicator::end() before!). By the way it's possible to set first progress description and the possible range of progress value. That means that a progress can runs from 0 to Range.

Parameters

  Text | initial value for progress description for showing Value can be updated by calling XStatusIndicator::setText().
  Range | means the maximum value of the progress which can be set by calling XStatusIndicator::setValue().

The documentation for this interface was generated from the following file:

- com/sun/star/task/XStatusIndicator.idl